Bullet Collision Detection & Physics Library: btSpatialForceVector Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSpatialForceVector Struct Reference

These spatial algebra classes are used for btMultiBody, see BulletDynamics/Featherstone. More...

`#include <btSpatialAlgebra.h>`

Collaboration diagram for btSpatialForceVector:
[legend]

## Public Member Functions
| btSpatialForceVector ()
| btSpatialForceVector (const btVector3 &angular, const btVector3 &linear)
| btSpatialForceVector (const btScalar &ax, const btScalar &ay, const btScalar &az, const btScalar &lx, const btScalar &ly, const btScalar &lz)
void | setVector (const btVector3 &angular, const btVector3 &linear)
void | setValue (const btScalar &ax, const btScalar &ay, const btScalar &az, const btScalar &lx, const btScalar &ly, const btScalar &lz)
void | addVector (const btVector3 &angular, const btVector3 &linear)
void | addValue (const btScalar &ax, const btScalar &ay, const btScalar &az, const btScalar &lx, const btScalar &ly, const btScalar &lz)
const btVector3 & | getLinear () const
const btVector3 & | getAngular () const
void | setLinear (const btVector3 &linear)
void | setAngular (const btVector3 &angular)
void | addAngular (const btVector3 &angular)
void | addLinear (const btVector3 &linear)
void | setZero ()
btSpatialForceVector & | operator+= (const btSpatialForceVector &vec)
btSpatialForceVector & | operator-= (const btSpatialForceVector &vec)
btSpatialForceVector | operator- (const btSpatialForceVector &vec) const
btSpatialForceVector | operator+ (const btSpatialForceVector &vec) const
btSpatialForceVector | operator- () const
btSpatialForceVector | operator* (const btScalar &s) const

## Public Attributes
btVector3 | m_topVec
btVector3 | m_bottomVec

## Detailed Description

These spatial algebra classes are used for btMultiBody, see BulletDynamics/Featherstone.

Definition at line 23 of file btSpatialAlgebra.h.

## Constructor & Destructor Documentation

## ◆ btSpatialForceVector() [1/3]

btSpatialForceVector::btSpatialForceVector | ( |  | ) |
| inline

Definition at line 27 of file btSpatialAlgebra.h.

## ◆ btSpatialForceVector() [2/3]

btSpatialForceVector::btSpatialForceVector | ( | const btVector3 & | angular,
|  | const btVector3 & | linear )
| inline

Definition at line 28 of file btSpatialAlgebra.h.

## ◆ btSpatialForceVector() [3/3]

btSpatialForceVector::btSpatialForceVector | ( | const btScalar & | ax,
|  | const btScalar & | ay,
|  | const btScalar & | az,
|  | const btScalar & | lx,
|  | const btScalar & | ly,
|  | const btScalar & | lz )
| inline

Definition at line 29 of file btSpatialAlgebra.h.

## Member Function Documentation

## ◆ addAngular()

void btSpatialForceVector::addAngular | ( | const btVector3 & | angular | ) |
| inline

Definition at line 66 of file btSpatialAlgebra.h.

## ◆ addLinear()

void btSpatialForceVector::addLinear | ( | const btVector3 & | linear | ) |
| inline

Definition at line 67 of file btSpatialAlgebra.h.

## ◆ addValue()

void btSpatialForceVector::addValue | ( | const btScalar & | ax,
|  | const btScalar & | ay,
|  | const btScalar & | az,
|  | const btScalar & | lx,
|  | const btScalar & | ly,
|  | const btScalar & | lz )
| inline

Definition at line 50 of file btSpatialAlgebra.h.

## ◆ addVector()

void btSpatialForceVector::addVector | ( | const btVector3 & | angular,
|  | const btVector3 & | linear )
| inline

Definition at line 45 of file btSpatialAlgebra.h.

## ◆ getAngular()

const btVector3 & btSpatialForceVector::getAngular | ( |  | ) | const
| inline

Definition at line 61 of file btSpatialAlgebra.h.

## ◆ getLinear()

const btVector3 & btSpatialForceVector::getLinear | ( |  | ) | const
| inline

Definition at line 60 of file btSpatialAlgebra.h.

## ◆ operator*()

btSpatialForceVector btSpatialForceVector::operator* | ( | const btScalar & | s | ) | const
| inline

Definition at line 90 of file btSpatialAlgebra.h.

## ◆ operator+()

btSpatialForceVector btSpatialForceVector::operator+ | ( | const btSpatialForceVector & | vec | ) | const
| inline

Definition at line 88 of file btSpatialAlgebra.h.

## ◆ operator+=()

btSpatialForceVector & btSpatialForceVector::operator+= | ( | const btSpatialForceVector & | vec | ) |
| inline

Definition at line 75 of file btSpatialAlgebra.h.

## ◆ operator-() [1/2]

btSpatialForceVector btSpatialForceVector::operator- | ( |  | ) | const
| inline

Definition at line 89 of file btSpatialAlgebra.h.

## ◆ operator-() [2/2]

btSpatialForceVector btSpatialForceVector::operator- | ( | const btSpatialForceVector & | vec | ) | const
| inline

Definition at line 87 of file btSpatialAlgebra.h.

## ◆ operator-=()

btSpatialForceVector & btSpatialForceVector::operator-= | ( | const btSpatialForceVector & | vec | ) |
| inline

Definition at line 81 of file btSpatialAlgebra.h.

## ◆ setAngular()

void btSpatialForceVector::setAngular | ( | const btVector3 & | angular | ) |
| inline

Definition at line 64 of file btSpatialAlgebra.h.

## ◆ setLinear()

void btSpatialForceVector::setLinear | ( | const btVector3 & | linear | ) |
| inline

Definition at line 63 of file btSpatialAlgebra.h.

## ◆ setValue()

void btSpatialForceVector::setValue | ( | const btScalar & | ax,
|  | const btScalar & | ay,
|  | const btScalar & | az,
|  | const btScalar & | lx,
|  | const btScalar & | ly,
|  | const btScalar & | lz )
| inline

Definition at line 39 of file btSpatialAlgebra.h.

## ◆ setVector()

void btSpatialForceVector::setVector | ( | const btVector3 & | angular,
|  | const btVector3 & | linear )
| inline

Definition at line 34 of file btSpatialAlgebra.h.

## ◆ setZero()

void btSpatialForceVector::setZero | ( |  | ) |
| inline

Definition at line 69 of file btSpatialAlgebra.h.

## Member Data Documentation

## ◆ m_bottomVec

btVector3 btSpatialForceVector::m_bottomVec

Definition at line 25 of file btSpatialAlgebra.h.

## ◆ m_topVec

btVector3 btSpatialForceVector::m_topVec

Definition at line 25 of file btSpatialAlgebra.h.

The documentation for this struct was generated from the following file:

- btSpatialAlgebra.h